Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class DeleteColumnEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
              info.bioinfweb.treegraph.document.undo.edit.DeleteColumnEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

    public class DeleteColumnEdit

extends NodeBranchDataEdit

Since:
  2.0.24
Author:
  Ben Stöver

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
`adapter, backup`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`DeleteColumnEdit(Document document, NodeBranchDataAdapter adapter)`

Method Summary
`static void` | `deleteSubtree(Node root, NodeBranchDataAdapter adapter)`
`java.lang.String` | `getPresentationName()`
`void` | `redo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
`undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteColumnEdit

    public DeleteColumnEdit(Document document,
                            NodeBranchDataAdapter adapter)

Method Detail

### deleteSubtree

    public static void deleteSubtree(Node root,
                                     NodeBranchDataAdapter adapter)

### redo

    public void redo()
              throws javax.swing.undo.CannotRedoException

  Specified by:
    `redo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `javax.swing.undo.CannotRedoException`

### getPresentationName

    public java.lang.String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD